dredd-extended
HTTP API Testing Framework
Last updated 3 years ago by cranieri .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install dredd-extended 
SYNC missed versions from official npm registry.

Dredd — HTTP API Testing Framework

npm version Build Status Build Status Dependency Status devDependency Status Coverage Status Known Vulnerabilities Join the chat at https://gitter.im/apiaryio/dredd

Dredd - HTTP API Testing Framework

Dredd is a language-agnostic command-line tool for validating API description document against backend implementation of the API.

Dredd reads your API description and step by step validates whether your API implementation replies with responses as they are described in the documentation.

Supported API Description Formats

Supported Hooks Languages

Dredd supports writing hooks — a glue code for each test setup and teardown. Following languages are supported:

Continuous Integration Support

Installation

$ npm install -g dredd

Quick Start

  1. Create an API Blueprint file called api-description.apib. Follow tutorial at API Blueprint website or just take one of the ready-made examples.

  2. Run interactive configuration:

    $ dredd init
    
  3. Run Dredd:

    $ dredd
    
  4. To see how to use all Dredd's features, browse the full documentation.

Current Tags

  • 1.0.2                                ...           latest (3 years ago)

3 Versions

  • 1.0.2                                ...           3 years ago
  • 1.0.1                                ...           3 years ago
  • 1.0.0                                ...           3 years ago
Maintainers (1)
Downloads
Today 0
This Week 1
This Month 1
Last Day 0
Last Week 0
Last Month 0
Dependencies (24)
Dev Dependencies (17)
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |